Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class println

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.println

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  print

    public class println

extends DefaultInternalAction

Internal action: `.println`.

Description: used for printing messages to the console. Exactly as for `.print` except that a new line is printed after the parameters.

See Also:
  `print`, Serialized Form

Constructor Summary
`println()`

Method Summary
`protected java.lang.String` | `argsToString(Term[] args)`
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`protected java.lang.String` | `getNewLine()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, getMaxArgs, getMinArgs, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### println

    public println()

Method Detail

### create

    public static InternalAction create()

### getNewLine

    protected java.lang.String getNewLine()

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### argsToString

    protected java.lang.String argsToString(Term[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD